python-mpd_1.0.0-1_all.deb


Advertisement

Description

python-mpd - Python MPD client library

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe i386
Package filename python-mpd_1.0.0-1_all.deb
Package name python-mpd
Package version 1.0.0
Package release 1
Package architecture all
Package type deb
Category universe/python
Homepage https://github.com/Mic92/python-mpd2
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 19.23 KB
Installed size 103.00 KB
Fast MPD (Music Player Daemon) client library written in pure Python.
It was written to be a replacement for python-mpdclient which is a bit
outdated and does not perform good in many situations.
This is the Python 2 version of python-mpd2, a fork of the original
python-mpd.

Alternatives

Package Version Architecture Repository
python-mpd_1.0.0-1_all.deb 1.0.0 all Ubuntu Universe
python-mpd - - -

Requires

Name Value
python:any >= 2.7.5-5~
python:any << 2.8

Replaces

Name Value
python-mpd2 << 0.5.5-1~

Download

Type URL
Mirror archive.ubuntu.com
Binary Package python-mpd_1.0.0-1_all.deb
Source Package python-mpd

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-mpd deb package:
    # sudo apt-get install python-mpd

Files

Path
/usr/lib/python2.7/dist-packages/mpd/__init__.py
/usr/lib/python2.7/dist-packages/mpd/base.py
/usr/lib/python2.7/dist-packages/mpd/tests.py
/usr/lib/python2.7/dist-packages/mpd/twisted.py
/usr/lib/python2.7/dist-packages/python_mpd2-1.0.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/python_mpd2-1.0.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/python_mpd2-1.0.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/python_mpd2-1.0.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/python_mpd2-1.0.0.egg-info/zip-safe
/usr/share/doc/python-mpd/changelog.Debian.gz
/usr/share/doc/python-mpd/copyright

Changelog

2018-02-25 - Simon McVittie <smcv@debian.org>
python-mpd (1.0.0-1) unstable; urgency=medium
* New upstream release
- Adds new mpd.asyncio API (Python 3 only)
- Adds new experimental mpd.twisted API
* d/python-mpd.pyremove: Remove mpd.asyncio which requires Python 3
* d/copyright: Update
* Add test-dependency on python[3]-twisted
* Require Python 2 >= 2.7 (2.6 would need extra libraries) and Python 3
>= 3.5.2 (for asyncio)
* Use DEP-14 branch names (debian/master, upstream/latest)
* Move packaging to salsa.debian.org
* Advance from debhelper compat level 7 to 11
* Use dh_missing instead of dh_install --fail-missing
* Use https Format for copyright file
* Standards-Version: 4.1.3 (no further changes required)
* d/tests/control: isolation-container is not actually needed
* Add Breaks on older mpdris2 for #891416
2016-07-25 - Simon McVittie <smcv@debian.org>
python-mpd (0.5.5-2) unstable; urgency=medium
* Upload to unstable
2016-05-22 - Simon McVittie <smcv@debian.org>
python-mpd (0.5.5-1) experimental; urgency=medium
* New upstream release
- switch upstream source to python-mpd2, a backwards-compatible fork,
since the original python-mpd is no longer maintained (Closes: #808824)
- debian/watch: switch upstream to python-mpd2
- debian/copyright: update
* Update packaging, heavily based on work done for python-mpd2 by
Geoffroy Youri Berret
- use debhelper 9
- force pybuild build system, since upstream provides a Makefile which
we don't want to use here
- add python3-mpd package
- add .install files to install everything
* Run dh_install with --fail-missing to catch mistakes
- specifically don't install mpd_test.py, not needed
* Add autopkgtests. The tests are not run at build-time because they
require a hard-coded listening port.
- work around missing dependency on python[3]-pkg-resources by
python[3]-pbr
* Add myself to Uploaders
* Standards-Version: 3.9.8 (no changes required)
* Vcs-Git, Vcs-Browser: canonicalize
* Sort package lists (wrap-and-sort -abst)
* Add patch to update the version number in the documentation
* Add a python-mpd-doc package
- build HTML documentation using Sphinx
- install examples
2012-03-13 - Geoffroy Youri Berret <efrim@azylum.org>
python-mpd (0.3.0-4) unstable; urgency=low
* Bump standards to 3.9.3.
* Switch to dpkg-source 3.0 (quilt) format.
* Moved package to MPD maintainers. (Closes: #612909).
* Removed useless preinst script needed for squeeze only.
* Upstream licence is LGPL since 0.3.0 release.
Copyright updated and switched to dep5 format.
2011-07-07 - Michal Čihař <nijel@debian.org>
python-mpd (0.3.0-3) unstable; urgency=low
* Migrate to dh_python2 (Closes: #632768).
* Bump standards to 3.9.2.
2011-02-06 - Michal Čihař <nijel@debian.org>
python-mpd (0.3.0-2) unstable; urgency=low
* Upload to unstable.
2010-12-15 - Michal Čihař <nijel@debian.org>
python-mpd (0.3.0-1) experimental; urgency=low
* New upstream version (Closes: #607037).
* Bump standards to 3.9.1.
2010-06-14 - Michal Čihař <nijel@debian.org>
python-mpd (0.2.1-5) unstable; urgency=low
* Update home page (Closes: #569283).
* Bump standards to 3.8.4.
2010-01-04 - Michal Čihař <nijel@debian.org>
python-mpd (0.2.1-4) unstable; urgency=low
* No need to build depend on python-all-dev, python-all is enough.
* No need to override dh_installchanges, dh is clever enough to find the
changes file.
2009-09-26 - Michal Čihař <nijel@debian.org>
python-mpd (0.2.1-3) unstable; urgency=low
* Fix stupid typo in preinst (Closes: #548390).

See Also

Package Description
python-mpdclient_0.11.1-5_all.deb Python interface to MPD
python-mpegdash_0.1.5-1_all.deb Python MPEG-DASH parser - Python 2.x
python-mpi4py-doc_2.0.0-3_all.deb bindings of the MPI standard -- documentation
python-mpi4py_2.0.0-3_i386.deb bindings of the Message Passing Interface (MPI) standard
python-mpikmeans_1.5+dfsg-5build3_i386.deb Python bindings for MPIKmeans
python-mplexporter_0.0.1+20140921-2_all.deb general matplotlib exporter
python-mpltoolkits.basemap-data_1.1.0+dfsg-1_all.deb matplotlib toolkit to plot on map projections (data package)
python-mpltoolkits.basemap-doc_1.1.0+dfsg-1_all.deb matplotlib toolkit to plot on map projections (documentation)
python-mpltoolkits.basemap_1.1.0+dfsg-1_i386.deb matplotlib toolkit to plot on map projections
python-mpmath-doc_1.0.0-1_all.deb library for arbitrary-precision floating-point arithmetic - Documentation
python-mpmath_1.0.0-1_all.deb library for arbitrary-precision floating-point arithmetic
python-mpop_1.5.0-1ubuntu2_all.deb Meteorological Post-Processing Package (MPoP)
python-mrjob_0.3.3.2-1_all.deb MapReduce framework for writing and running Hadoop Streaming jobs
python-mrtparse_1.6-1_all.deb read and analyze the MRT format data (Python 2.x module)
python-msrest_0.4.14-1_all.deb AutoRest Swagger generator for Python 2.x
Advertisement
Advertisement